import request from '@/utils/request'

// 查询电厂大屏每日0：00抓取数据列表
export function listDashboarddayelec(query) {
  return request({
    url: '/his/dashboarddayelec/list',
    method: 'get',
    params: query
  })
}

// 查询电厂大屏每日0：00抓取数据详细
export function getDashboarddayelec(id) {
  return request({
    url: '/his/dashboarddayelec/' + id,
    method: 'get'
  })
}

// 新增电厂大屏每日0：00抓取数据
export function addDashboarddayelec(data) {
  return request({
    url: '/his/dashboarddayelec',
    method: 'post',
    data: data
  })
}

// 修改电厂大屏每日0：00抓取数据
export function updateDashboarddayelec(data) {
  return request({
    url: '/his/dashboarddayelec',
    method: 'put',
    data: data
  })
}

// 删除电厂大屏每日0：00抓取数据
export function delDashboarddayelec(id) {
  return request({
    url: '/his/dashboarddayelec/' + id,
    method: 'delete'
  })
}

// 导出电厂大屏每日0：00抓取数据
export function exportDashboarddayelec(query) {
  return request({
    url: '/his/dashboarddayelec/export',
    method: 'get',
    params: query
  })
}

// 查询最后一条dashboarddayelec抓取数据
export function selectLast(query) {
  return request({
    url: '/aspen/dashboarddayelec/selectLast',
    method: 'get',
    params: query
  })
}

// 查询月度dashboarddayelec抓取数据
export function selectMonth(query) {
  return request({
    url: '/aspen/dashboarddayelec/month',
    method: 'get',
    params: query
  })
}

// 查询一周dashboarddayelec抓取数据
export function selectWeek(query) {
  return request({
    url: '/aspen/dashboarddayelec/week',
    method: 'get',
    params: query
  })
}

// 查询49天dashboarddayelec抓取数据
export function selecctfiftyday(query) {
  return request({
    url: '/aspen/dashboarddayelec/fiftyday',
    method: 'get',
    params: query
  })
}
